<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Http\Controllers\Admin;

use App\Models\UserModel;
use App\Models\AdminRomModel;
use App\Services\Common\AdminService;
use App\Services\Common\MenuService;
use App\Services\Common\UserService;
use App\Services\RedisService;

/**
 * 系统主页控制器
 * @author laravel开发员
 * @since 2020/11/10
 * Class IndexController
 * @package App\Http\Controllers
 */
class IndexController extends Backend
{

    /**
     * 构造函数
     * @author laravel开发员
     * @since 2020/11/10
     * IndexController constructor.
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * 后台主页
     * @author laravel开发员
     * @since 2020/11/10
     */
    public function getMenuList()
    {
        $menuService = new MenuService();
        $menuList = $menuService->getPermissionList($this->userId);
        return $menuList;
    }

    /**
     * 获取个人信息
     * @return array
     * @since 2020/11/10
     * @author laravel开发员
     */
    public function getUserInfo()
    {
        $userService = new UserService();
        $result = $userService->getUserInfo($this->userId);
        return $result;
    }

    /**
     * 更新个人资料
     * @return mixed
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function updateUserInfo()
    {
        $userService = new UserService();
        $result = $userService->updateUserInfo($this->userId);
        return $result;
    }

    /**
     * 更新密码
     * @return mixed
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function updatePwd()
    {
        $userService = new UserService();
        $result = $userService->updatePwd($this->userId);
        return $result;
    }

    /**
     * 清除缓存
     * @return array
     */
    public function clearCache()
    {
        RedisService::keyDel("caches:d*");
        RedisService::keyDel("caches:adm*");
        RedisService::keyDel("caches:inde*");
        RedisService::keyDel("caches:agent*");
        RedisService::keyDel("caches:advert*");
        RedisService::keyDel("caches:articl*");
        RedisService::keyDel("caches:qrcode*");
        RedisService::keyDel("caches:memb*");
        RedisService::keyDel("caches:conf*");
        RedisService::keyDel("caches:order*");
        RedisService::keyDel("caches:message*");
        RedisService::keyDel("laravel_cache:model*");
        return message(MESSAGE_OK, true);
    }

}
