<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Http\Controllers\Admin;

use App\Services\Common\RoleService;

/**
 * 角色管理-控制器
 * @author laravel开发员
 * @since 2020/11/11
 * Class RoleController
 * @package App\Http\Controllers
 */
class RoleController extends Backend
{
    /**
     * 构造函数
     * @author laravel开发员
     * @since 2020/11/11
     * RoleController constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->service = new RoleService();
    }

    /**
     * 获取角色列表
     * @return mixed
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function getRoleList()
    {
        $result = $this->service->getRoleList();
        return $result;
    }

    /**
     * 获取角色权限列表
     * @author laravel开发员
     * @since 2020/11/11
     */
    public function getPermissionList()
    {
        $result = $this->service->getPermissionList();
        return $result;
    }

    /**
     * 保存权限
     * @return mixed
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function savePermission()
    {
        $result = $this->service->savePermission();
        return $result;
    }

}
