<?php

namespace App\Http\Controllers\Api;

use App\Helpers\Jwt;
use App\Services\RedisService;

/**
 * 授权登录控制器基类
 * Class LoginController
 * @package App\Http\Controllers
 */
class LoginController extends webApp
{
    /**
     * 用户登录
     * @return array
     */
    public function login(){
        $code = request()->all();
        if(empty($code)){
            return message('code参数错误',false);
        }

        // 授权
        $openid = isset($this->userInfo['openid'])? $this->userInfo['openid'] : '';
        $status = isset($this->userInfo['status'])? $this->userInfo['status'] : '';
        $userId = isset($this->userInfo['id'])? $this->userInfo['id'] : 0;
        if(empty($this->userInfo) || empty($openid) || $userId<=0){
            return message('用户授权失败',false);
        }

        if($status != 1){
            return message('用户账户已被冻结不可操作',false);
        }

        // 获取授权TOKEN
        $jwt = new Jwt('jwt_wx');
        $token = $jwt->getToken($userId, 3);

        // 结果返回
        $result = [
            'access_token' => $token,
            'info'=> $this->userInfo,
        ];

        // 用户信息
        RedisService::set("auths:info:{$userId}", $this->userInfo, 4*24*3600);
        return message('获取授权成功', true, $result);
    }

    public function register()
    {

    }

    public function sendmsm()
    {
        $username = request()->post('username');
        return message(1011, true);
    }
}
