<?php
// +----------------------------------------------------------------------
// | Laravel框架 [ Laravel ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 Laravel研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: wesmiler <12345678@qq.com>
// +----------------------------------------------------------------------

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;

/**
 * 上传文件-控制器
 * @since 2020/11/11
 * Class UploadController
 * @package App\Http\Controllers
 */
class UploadController extends webApp
{

    /**
     * 上传图片
     * @param Request $request 网络请求
     * @return array
     * @since 2020/11/11
     */
    public function uploadImage(Request $request)
    {

        // 上传单图统一调取方法
        $result = upload_image($request, 'file', '',$this->userId);
        if (!$result['success']) {
            return showJson($result['msg'], false, '');
        }

        // 文件路径
        $file_path = $result['data']['img_path'];
        if (!$file_path) {
            return showJson('文件上传失败', false, '');
        }

        // 网络域名拼接
        if ($file_path && strpos($file_path, IMG_URL) === false) {
            $file_path = get_image_url($file_path, false);
        }

        // 返回结果
        return showJson(MESSAGE_OK, true, ['url'=> $file_path, 'path'=> $result['data']['img_path']]);
    }

    /**
     * 上传文件(单个上传)
     * @param Request $request
     * @since 2020/11/11
     */
    public function uploadFile(Request $request)
    {
        $result = upload_file($request,'file','', $this->userId);
        if (!$result['success']) {
            return showJson($result['msg'], false, '');
        }
        // 文件路径
        $file_path = isset($result['data']['file_path'])? $result['data']['file_path'] : '';
        if (!$file_path) {
            return showJson("文件上传失败",false);
        }

        // 网络域名拼接
        if (strpos($file_path, IMG_URL) === false) {
            $file_path = get_image_url($file_path, false);
        }

        // 返回结果
        return showJson(MESSAGE_OK, true, ['url'=> $file_path, 'path'=> $result['data']['img_path']]);
    }

}
