<?php
namespace App\Http\Validator;
class MemberValidator extends BaseValidator
{
    // 当前模型所有验证规则
    public static $rules = [
        'id' => 'required',
        'avatar' => 'required',
        'nickname' => 'required',
        'gender' => 'required',
    ];

    // 当前模型所有错误提示信息
    public static $msgs = [
        'required' => ':attribute不能为空',
        'string' => ':attribute必须是字符串',
        'min' => ':attribute长度不能小于:min位',
        'max' => ':attribute长度不能大于:max位',
        'exists' => ':attribute不存在',
        'rule' => ':attribute格式不正确',
    ];

    // 当前模型所有验证字段
    public static $fields = [
        'id' => 'ID',
        'avatar' => '头像',
        'gender' => '性别',
        'nickname' => '昵称',
    ];

    // 当前模型所有验证场景
    public static $scenes = [
        'info'=> ['id'],
        'save'=> ['mobile','nickname','gender'],
    ];

    /**
     * 验证
     * @param $request
     * @param string $scene
     * @return int|mixed
     */
    public static function check($request, $scene=''){
        $validator = new BaseValidator(self::$rules, self::$msgs, self::$fields, self::$scenes);
        return $validator->checkParams($request, $scene);
    }
}