<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Models;

/**
 * 布局管理-模型
 * @author laravel开发员
 * @since 2020/11/11
 * Class LayoutModel
 * @package App\Models
 */
class LayoutModel extends BaseModel
{
    // 设置数据表
    protected $table = 'layout';

    /**
     * 获取数据信息
     * @param int $id 记录ID
     * @return array|string
     * @author laravel开发员
     * @since 2020/11/11
     */
    public function getInfo($id)
    {
        $info = parent::getInfo($id); // TODO: Change the autogenerated stub
        if ($info) {
            // 布局图片
            if ($info['image']) {
                $info['image'] = get_image_url($info['image']);
            }

            // 站点名称
            if ($info['item_id']) {
                $itemModel = new ItemModel();
                $itemInfo = $itemModel->getInfo($info['item_id']);
                if ($itemInfo) {
                    $info['item_name'] = $itemInfo['name'];
                }
            }
        }
        return $info;
    }

}
