<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Models;

/**
 * 会员-模型
 * @author laravel开发员
 * @since 2020/11/11
 * Class MemberModel
 * @package App\Models
 */
class MemberModel extends BaseModel
{
    // 设置数据表
    protected $table = 'member';

    /**
     * 获取会员信息
     * @param int $id 会员ID
     * @return array|string
     * @author laravel开发员
     * @since 2020/11/11
     */
    public function getInfo($id)
    {
        $info = parent::getInfo($id); // TODO: Change the autogenerated stub
        if ($info) {
            // 头像
            if ($info['avatar']) {
                $info['avatar'] = get_image_url($info['avatar']);
            }
            // 出生日期
            if ($info['birthday']) {
                $info['birthday'] = datetime($info['birthday']);
            }
            // 城市
            if ($info['province_id'] && $info['city_id'] && $info['district_id']) {
                $city = [];
                $city[] = $info['province_id'];
                $city[] = $info['city_id'];
                $city[] = $info['district_id'];
                $info['city'] = $city;
            }
        }
        return $info;
    }

}
