<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Services\Common;

use App\Models\AdModel;
use App\Services\BaseService;

/**
 * 广告管理-服务类
 * @author laravel开发员
 * @since 2020/11/11
 * Class AdService
 * @package App\Services\Common
 */
class AdService extends BaseService
{
    /**
     * 构造函数
     * @author laravel开发员
     * @since 2020/11/11
     * AdService constructor.
     */
    public function __construct()
    {
        $this->model = new AdModel();
    }

    /**
     * 添加或编辑
     * @return array
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function edit()
    {
        $data = request()->all();
        // 图片处理
        $cover = trim($data['cover']);
        if (strpos($cover, "temp")) {
            $data['cover'] = save_image($cover, 'ad');
        } else {
            $data['cover'] = str_replace(IMG_URL, "", $data['cover']);
        }
        // 开始时间
        if ($data['start_time']) {
            $data['start_time'] = strtotime($data['start_time']);
        }
        // 结束时间
        if ($data['end_time']) {
            $data['end_time'] = strtotime($data['end_time']);
        }
        return parent::edit($data); // TODO: Change the autogenerated stub
    }

}
