<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

use App\Http\Controllers\Admin\ActionLogController;
use App\Http\Controllers\Admin\AdController;
use App\Http\Controllers\Admin\AdSortController;
use App\Http\Controllers\Admin\CityController;
use App\Http\Controllers\Admin\ConfigController;
use App\Http\Controllers\Admin\ConfigGroupController;
use App\Http\Controllers\Admin\IndexController;
use App\Http\Controllers\Admin\LayoutController;
use App\Http\Controllers\Admin\LoginLogController;
use App\Http\Controllers\Admin\MemberController;
use App\Http\Controllers\Admin\MemberLevelController;
use App\Http\Controllers\Admin\MenuController;
use App\Http\Controllers\Admin\NoticeController;
use App\Http\Controllers\Admin\PositionController;
use App\Http\Controllers\Admin\RoleController;
use App\Http\Controllers\Admin\UploadController;
use App\Http\Controllers\Admin\UserController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\LoginController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return message('1005','403');
});

// 上传文件
Route::post('/upload/uploadImage', [UploadController::class, 'uploadImage']);
Route::post('/upload/uploadBase64', [UploadController::class, 'uploadBase64']);

// 系统登录
Route::get('/captcha', [LoginController::class, 'captcha'])->name('captcha');
Route::post('/login', [LoginController::class, 'login']);
Route::get('/logout', [LoginController::class, 'logout']);

// 系统主页

Route::post('/index/data', [IndexController::class, 'indexData']);
Route::post('/index/clearCache', [IndexController::class, 'clearCache']);
Route::get('/index/getMenuList', [IndexController::class, 'getMenuList']);
Route::get('/index/getUserInfo', [IndexController::class, 'getUserInfo']);
Route::post('/index/updateUserInfo', [IndexController::class, 'updateUserInfo']);
Route::post('/index/updatePwd', [IndexController::class, 'updatePwd']);

// 用户管理
Route::get('/user/index', [UserController::class, 'index']);
Route::get('/user/info', [UserController::class, 'info']);
Route::post('/user/edit', [UserController::class, 'edit']);
Route::post('/user/delete', [UserController::class, 'delete']);
Route::post('/user/status', [UserController::class, 'status']);
Route::post('/user/resetPwd', [UserController::class, 'resetPwd']);

// 角色管理
Route::get('/role/index', [RoleController::class, 'index']);
Route::get('/role/info', [RoleController::class, 'info']);
Route::post('/role/edit', [RoleController::class, 'edit']);
Route::post('/role/delete', [RoleController::class, 'delete']);
Route::get('/role/getRoleList', [RoleController::class, 'getRoleList']);
Route::get('/role/getPermissionList', [RoleController::class, 'getPermissionList']);
Route::post('/role/savePermission', [RoleController::class, 'savePermission']);

// 菜单管理
Route::get('/menu/index', [MenuController::class, 'index']);
Route::get('/menu/info', [MenuController::class, 'info']);
Route::post('/menu/edit', [MenuController::class, 'edit']);
Route::post('/menu/delete', [MenuController::class, 'delete']);

// 部门管理
Route::get('/city/index', [CityController::class, 'index']);
Route::get('/city/info', [CityController::class, 'info']);
Route::post('/city/edit', [CityController::class, 'edit']);
Route::post('/city/delete', [CityController::class, 'delete']);

// 配置分组管理
Route::get('/configgroup/index', [ConfigGroupController::class, 'index']);
Route::get('/configgroup/info', [ConfigGroupController::class, 'info']);
Route::post('/configgroup/edit', [ConfigGroupController::class, 'edit']);
Route::post('/configgroup/delete', [ConfigGroupController::class, 'delete']);

// 配置管理
Route::get('/config/index', [ConfigController::class, 'index']);
Route::get('/config/info', [ConfigController::class, 'info']);
Route::post('/config/edit', [ConfigController::class, 'edit']);
Route::post('/config/delete', [ConfigController::class, 'delete']);

// 通知公告管理
Route::get('/notice/index', [NoticeController::class, 'index']);
Route::get('/notice/info', [NoticeController::class, 'info']);
Route::post('/notice/edit', [NoticeController::class, 'edit']);
Route::post('/notice/delete', [NoticeController::class, 'delete']);
Route::post('/notice/status', [NoticeController::class, 'status']);
Route::post('/notice/setIsTop', [NoticeController::class, 'setIsTop']);

// 广告管理
Route::get('/ad/index', [AdController::class, 'index']);
Route::get('/ad/info', [AdController::class, 'info']);
Route::post('/ad/edit', [AdController::class, 'edit']);
Route::post('/ad/delete', [AdController::class, 'delete']);

// 会员等级
Route::get('/memberlevel/index', [MemberLevelController::class, 'index']);
Route::get('/memberlevel/info', [MemberLevelController::class, 'info']);
Route::post('/memberlevel/edit', [MemberLevelController::class, 'edit']);
Route::post('/memberlevel/delete', [MemberLevelController::class, 'delete']);
Route::get('/memberlevel/getMemberLevelList', [MemberLevelController::class, 'getMemberLevelList']);

// 会员管理
Route::get('/member/index', [MemberController::class, 'index']);
Route::get('/member/info', [MemberController::class, 'info']);
Route::post('/member/edit', [MemberController::class, 'edit']);
Route::post('/member/delete', [MemberController::class, 'delete']);
Route::post('/member/status', [MemberController::class, 'status']);

// 登录日志
Route::get('/loginlog/index', [LoginLogController::class, 'index']);
Route::post('/loginlog/delete', [LoginLogController::class, 'delete']);

// 操作日志
Route::get('/actionlog/index', [ActionLogController::class, 'index']);
Route::post('/actionlog/delete', [ActionLogController::class, 'delete']);
