#### 《框架使用开发说明》
1、安装和环境要求

    1.环境要求：php7.3+（若有支付功能建议php8.0）、nginx、redis、mysql8.0（建议）
    2.php扩展要求：fileinfo、opcache、redis、imagemagick、Swoole4（有即时通讯或者长连接服务时）
    3.安装：
        1）解压代码到服务器根目录
        2）创建数据库，并导入根目录下数据库文件
        3）修改根目录下的.env配置文件，把数据库，redis缓存、域名地址相关的都修改掉
        4）添加nginx的laravel8伪静态：
        location / {  
            # 请求地址允许跨域
            add_header Access-Control-Allow-Origin *;
            # 请求方法允许跨域
            add_header Access-Control-Allow-Methods 'GET,POST,OPTIONS,PUT,DELETE,PATCH,Origin';
            # 设置是否允许 cookie 传输
            add_header Access-Control-Allow-Credentials 'true';
            # 设置请求头 这里为什么不设置通配符 * 因为不支持
            add_header Access-Control-Allow-Headers 'Authorization,Sign,Content-Type,Accept,Origin,User-Agent,DNT,Cache-Control,X-Mx-ReqToken,X-Data-Type,X-Requested-With,X-Data-Type,X-Auth-Token';
            
            if ($request_method = 'OPTIONS') {
                        return 200;
              }
              
            try_files $uri $uri/ /index.php$is_args$query_string;  
        }  

2、开发使用：
1.后台运行命令：
1）环境要求node14.0，其他按照npm更新情况更新依赖包即可
2）首次运行检查有无node_modules依赖目录，没有则执行npm install 或npm update安装更新依赖
3)修改admin/src/connfig/setting.js内的接口域名配置
3）npm run dev 运行
4）npm run build 打包
5）打包好的文件在admin/dist目录，发布则将该目录整个内容复制到项目根目录public/rrcadm下即可
6）后台直接访问域名/rrcadm


2.后台开发：
1）先创建菜单模块，路由等规则参考系统管理或用户管理，创建菜单节点路由
2）routes/web.php内新建对应后台模块接口路由，路由接口规则参考现有的即可
3）addons/admin/src/views视图目录下创建对应vue模板文件，可分模块，即类似member就是用户管理模块，下面的文件就是子菜单
4）其余板块设计可以类似views/system目录下的模块参考
5）富文本编辑器在views/system/notice内有使用可以直接参考


